/*
Theme Name: Onrefni
* Styles for Gutenberg blocks
*/


#editor {
	color: #000;
}

body.gutenberg-editor-page #editor .edit-post-visual-editor .editor-post-title__block,
body.gutenberg-editor-page #editor .editor-default-block-appender,
body.gutenberg-editor-page #editor .editor-block-list__block {
	max-width: 830px;
}

/* Width of "wide" blocks */
body.gutenberg-editor-page #editor .editor-block-list__block[data-align="wide"] {
	max-width: 1080px;
}

/* Width of "full-wide" blocks */
body.gutenberg-editor-page #editor .editor-block-list__block[data-align="full"] {
	max-width: none;
}

body.gutenberg-editor-page .editor-block-list__block, 
body.gutenberg-editor-page .editor-block-list__block p {
	font-size: 18px;
}

.edit-post-visual-editor,
.edit-post-visual-editor p {
	font-family: "Inconsolata", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.edit-post-visual-editor h1,
.edit-post-visual-editor h2,
.edit-post-visual-editor h3,
.edit-post-visual-editor h4,
.edit-post-visual-editor h5,
.edit-post-visual-editor h6,
.editor-post-title textarea.editor-post-title__input {
	font-family: "Josefin Sans", Arial, sans-serif;
	font-weight: bold;
	text-transform: uppercase;
}

.edit-post-visual-editor p.wp-block-subhead {
	color: inherit;
	opacity: 0.75;
}

body .editor-block-list__block a {
	color: #000;
}

.gutenberg .entry-content{
	line-height: 1.8;
	margin: 0 auto;
	display: block;
}

.edit-post-visual-editor .wp-block-preformatted pre,
.editor-block-list__block .wp-block-verse pre {
	font-family: "Courier 10 Pitch", Courier, monospace;
	margin-bottom: 1.6em;
	max-width: 100%;
	overflow: auto;
}

body.gutenberg {
	overflow-x: hidden;
}

.editor-block-list__block .wp-block-quote,
.wp-block-quote:not(.is-large):not(.is-style-large) {
	border: none;
	margin: 0;
	padding: 0;
	font-style: normal;
}

.editor-block-list__block .wp-block-quote:before,
.wp-block-quote:not(.is-large):not(.is-style-large):before,
.editor-block-list__block .wp-block-pullquote:before {
	content: "\201c";
	display: block;
	font-size: 72px;
	font-size: 4rem;
	font-family: "Inconsolata", "Helvetica Neue", Helvetica, Arial, sans-serif;
	line-height: 1;
	position: absolute;
	top: -.1em;
	left: -.6em;
}

.editor-block-list__block .wp-block-quote cite,
.editor-block-list__block .wp-block-quote__citation {
	text-transform: uppercase;
	font-style: italic;
	text-align: left;
}

.block-library-list .editor-rich-text__tinymce, 
.block-library-list .editor-rich-text__tinymce ol, 
.block-library-list .editor-rich-text__tinymce ul {
	margin: 0 0 1.5em 3em;
	padding: 0;
}

.gutenberg .wp-block-latest-posts {
	padding-left: 2.5em;
}

.editor-block-list__block .wp-block-pullquote {
	border-top: none;
	border-bottom: none;
	color: #000;
	margin: 0;
	padding: 0;
	text-align: left;
}

body.gutenberg-editor-page .editor-block-list__block .wp-block-pullquote p,
body.gutenberg-editor-page .editor-block-list__block .wp-block-quote p,
body.gutenberg-editor-page .wp-block-quote:not(.is-large):not(.is-style-large) p {
	font-size: 23px;
	font-size: 1.4375rem;
}

.editor-block-list__block .wp-block-pullquote>.block-library-pullquote__content .editor-rich-text__tinymce[data-is-empty=true]:before, 
.editor-block-list__block .wp-block-pullquote>.editor-rich-text p {
	font-family: "Inconsolata", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.editor-block-list__block .wp-block-pullquote>.editor-rich-text p cite,
.editor-block-list__block .wp-block-pullquote cite {
	font-style: normal;
}

.editor-block-list__block .wp-block-table td {
	padding: 3px;
}

.editor-block-list__block .wp-block-table tbody, 
.editor-block-list__block .wp-block-table th, 
.editor-block-list__block .wp-block-table td {
	border: 2px solid #000;
	padding: 5px;
}
.editor-block-list__block .wp-block-table th {
	background: #fff;
}
